# tilehighlight_type.h File Reference

Types related to highlighting tiles. More...

`#include "core/geometry_type.hpp"`
`#include "zoom_type.h"`
`#include "window_type.h"`
`#include "tile_type.h"`

Go to the source code of this file.

## Data Structures
struct | TileHighlightData
## Enumerations
enum | ViewportHighlightMode { VHM_NONE = 0, VHM_RECT = 1, VHM_POINT = 2, VHM_SPECIAL = 3, VHM_DRAG = 4, VHM_RAIL = 5 }
| Viewport highlight mode (for highlighting tiles below cursor). More...
enum | HighLightStyle { HT_NONE = 0x00, HT_RECT = 0x80, HT_POINT = 0x40, HT_LINE = 0x20, HT_RAIL = 0x10, HT_DRAG_MASK = 0xF0, HT_DIR_X = 0, HT_DIR_Y = 1, HT_DIR_HU = 2, HT_DIR_HL = 3, HT_DIR_VL = 4, HT_DIR_VR = 5, HT_DIR_MASK = 0x7 }
| Highlighting draw styles. More...
## Functions
| DECLARE_ENUM_AS_BIT_SET (HighLightStyle)

## Detailed Description

Types related to highlighting tiles.

Definition in file tilehighlight_type.h.

## Enumeration Type Documentation

enum HighLightStyle

Highlighting draw styles.

Enumerator:

  HT_LINE | used for autorail highlighting (longer streches) (uses lower bits to indicate direction)
  HT_RAIL | autorail (one piece) (uses lower bits to indicate direction)
  HT_DRAG_MASK | masks the drag-type
  HT_DIR_X | X direction.
  HT_DIR_Y | Y direction.
  HT_DIR_HU | horizontal upper
  HT_DIR_HL | horizontal lower
  HT_DIR_VL | vertical left
  HT_DIR_VR | vertical right
  HT_DIR_MASK | masks the drag-direction

Definition at line 24 of file tilehighlight_type.h.

enum ViewportHighlightMode

Viewport highlight mode (for highlighting tiles below cursor).

Enumerator:

  VHM_NONE | default
  VHM_RECT | rectangle (stations, depots, ...)
  VHM_POINT | point (lower land, raise land, level land, ...)
  VHM_SPECIAL | special mode used for highlighting while dragging (and for tunnels/docks)
  VHM_DRAG | dragging items in the depot windows
  VHM_RAIL | rail pieces

Definition at line 14 of file tilehighlight_type.h.